%define debug_package %{nil}
%define		_release	2396

Name:		ganttproject
Version:	2.8.11
Release:	%mkrel 2
License:	GPLv3
Summary:	Desktop tool for project scheduling and management
Group:		Office/Management
Url:		http://www.ganttproject.biz
Source0:	https://dl.ganttproject.biz/%{name}-%{version}/%{name}-%{version}-r%{_release}.zip

BuildRequires:	dos2unix
BuildRequires:	unzip
BuildArch:	noarch

Requires:	java >= 0:1.7.0

%prep
%setup -q -n %{name}-%{version}-r%{_release}

dos2unix plugins/%{version}/ganttproject/data/resources/calendar/*.calendar

%build

%install
mkdir -p %{buildroot}%{_datadir}/%{name}/{lib,plugins}
mkdir %{buildroot}%{_datadir}/pixmaps
mkdir %{buildroot}%{_datadir}/applications

cp lib/*  %{buildroot}%{_datadir}/%{name}/lib/
cp -r plugins/%{version} %{buildroot}%{_datadir}/%{name}/plugins/
cp *.gan %{buildroot}%{_datadir}/%{name}/
cp LICENSE %{buildroot}%{_datadir}/%{name}/

install -m 644 eclipsito.jar %{buildroot}%{_datadir}/%{name}/
install -m 755 ganttproject %{buildroot}%{_datadir}/%{name}

install -m 644 plugins/VERSION %{buildroot}%{_datadir}/%{name}/plugins/

mkdir -p %{buildroot}%{_bindir}
ln -sf %{_datadir}/%{name}/ganttproject %{buildroot}%{_bindir}/ganttproject

cp plugins/%{version}/%{name}/data/resources/icons/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

chmod +x %{buildroot}%{_datadir}/%{name}/%{name}
ln -sf %{_datadir}/%{name}/%{name} %{buildroot}%{_bindir}/%{name}

cat >> %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=GanttProject
GenericName=Project Management
GenericName[am]=የዕቅድ ጉባኤ
GenericName[ar]=إدارة المشاريع
GenericName[af]=Projekbestuur
GenericName[sq]=Menaxhim Projektesh
GenericName[hy]=Նախագծերի կառավարում
GenericName[ast]=Xestión de proyeutos
GenericName[eu]=Proiektu-kudeaketa
GenericName[be]=Кіраўнік праектаў
GenericName[bn]=প্রকল্প ব্যবস্থাপনা
GenericName[bs]=Upravljanje projektima
GenericName[pt_BR]=Gestão de projeto
GenericName[ca@valencia]=Gestió de projectes
GenericName[ca]=Gestió de projectes
GenericName[bg]=Управление на проекти
GenericName[zh_HK]=專案管理
GenericName[zh_TW]=專案管理
GenericName[crh]=Proje Yönetimi
GenericName[zh_CN]=项目管理
GenericName[hr]=Upravljanje projektima
GenericName[cs]=Správa projektů
GenericName[da]=Projekthåndtering
GenericName[nl]=Projectbeheer
GenericName[et]=Projektihaldus
GenericName[fi]=Projektinhallinta
GenericName[fr_CA]=Direction de projet
GenericName[gl]=Xestión de proxectos
GenericName[ka]=პროექტების მართვა
GenericName[de]=Projektverwaltung
GenericName[el]=Διαχείριση έργων
GenericName[fr]=Gestion de projets
GenericName[gu]=પ્રોજેક્ટ વ્યવસ્થાપન
GenericName[he]=ניהול פרוייקט
GenericName[hi]=प्रोजेक्ट प्रबंधन
GenericName[hu]=Projektmenedzsment
GenericName[is]=Verkstjórnun
GenericName[id]=Manajemen Proyek
GenericName[it]=Gestione progetti
GenericName[ja]=プロジェクト管理
GenericName[ky]=Долбоор башкаруу
GenericName[ko]=프로젝트 관리
GenericName[lv]=Projektu pārvaldība
GenericName[lt]=Projektų valdymas
GenericName[ms]=Pengurusan Projek
GenericName[ml]=പദ്ധതിനിര്‍വ്വഹണം
GenericName[mr]=प्रकल्प व्यवस्थापन
GenericName[ne]=परियोजना व्यवस्थापन
GenericName[nb]=Prosjektstyring
GenericName[oc]=Gestion de projèctes
GenericName[fa]=مدیریت پروژه
GenericName[pl]=Zarządzanie projektem
GenericName[sr]=Upravljanje Projektima
GenericName[ro]=Administrarea proiectelor
GenericName[ru]=Управление проектами
GenericName[pt]=Gestão de Projectos
GenericName[sk]=Správca projektov
GenericName[sl]=Upravljanje projektov
GenericName[ta]=திட்ட மேலாண்மை
GenericName[tg]=Идоракунии лоиҳаҳо
GenericName[es]=Gestión de proyectos
GenericName[sv]=Projekthantering
GenericName[th]=การบริหารโครงการ
GenericName[tr]=Proje Yönetimi
GenericName[uk]=Управління проектами
GenericName[vi]=Quản lý dự án
Comment=Project scheduling and management
Comment[ru]=Планирование и управление проектами
Exec=%{name}
Icon=%{name}
Type=Application
Categories=Office;Development;ProjectManagement;
EOF

%description
GanttProject is a cross-platform desktop tool for
project scheduling and management. 
It runs on Windows, Linux and MacOSX, it is free
and its code is opensource. 
It can do:
  * Gantt chart: create work breakdown structure,
                 draw dependencies, define milestones.
  * Resources: assign human resources to work on tasks,
               see their allocation on the Resource Load 
               chart.
  * PERT chart: generate PERT chart from Gantt chart.
  * Export: save charts as PNG images, generate PDF 
            and HTML reports.
  * Interoperate: import projects from and export them to
                  Microsoft Project formats.
                  Export to spreadsheets with CSV.
  * Collaborate: share projects with your colleagues
                 using WebDAV.

%files
%doc LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name} 
%{_datadir}/pixmaps/%{name}.png


%changelog
* Sat Dec 05 2020 luigiwalser <luigiwalser> 2.8.11-2.mga8
+ Revision: 1653103
- back to 2.8.11, bump rel to submit to correct media
- revert to 2.5.4
- set java source and target version to 1.8 to fix build

* Sat Aug 29 2020 matteo <matteo> 2.8.11-1.mga8.nonfree
+ Revision: 1619682
- new version 2.8.11

* Thu Feb 13 2020 umeabot <umeabot> 2.5.4-10.mga8
+ Revision: 1512378
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.5.4-9.mga7
+ Revision: 1297822
- Mageia 7 Mass Rebuild

* Sun Feb 14 2016 umeabot <umeabot> 2.5.4-8.mga6
+ Revision: 960229
- Mageia 6 Mass Rebuild

* Wed Sep 09 2015 neoclust <neoclust> 2.5.4-7.mga6
+ Revision: 875061
- Fix build with new rpm ( empty debuginfo)

* Sun Nov 23 2014 alexl <alexl> 2.5.4-6.mga5
+ Revision: 798418
- add translations for desktop file

* Wed Oct 15 2014 umeabot <umeabot> 2.5.4-5.mga5
+ Revision: 750260
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.5.4-4.mga5
+ Revision: 679412
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.5.4-3.mga4
+ Revision: 521835
- Mageia 4 Mass Rebuild

* Thu Jan 24 2013 fwang <fwang> 2.5.4-2.mga3
+ Revision: 391976
- update rpm group
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 30 2012 matteo <matteo> 2.5.4-1.mga3
+ Revision: 276180
- fixed symbolic link
- making ganttproject script executable
- imported package ganttproject

